Jump to content
ElementaryOS France
  • 0

Problème ARDUINO et SCRATCH


diprog
 Share

Question

Hello tout le monde,

 

J'ai quelques soucis.Je débute dans l'univers de LINUX, je ne comprends pas certaines choses.

 

J'ai installé le logiciel ARDUINO mais je n'ai pas la dernière version lorsque je l'installe via la logithèque sur Elementary OS. Est-ce normal ?

J'ai la version 1.0.1 alors qu'une version 1.0.5 existe depuis quelques temps déjà.

On m'a parlé de dépôts à mettre à jour ?

 

Pareil, autre soucis, j'ai installé le logiciel "SCRATCH" pour me former au logiciel en vue de petits ateliers avec des enfants. Le logiciel plante et se ferme tout seul lorsque je commence à l'utiliser.... :(

J'ai installé la version 1.4, la seule trouvée dans la logithèque. La version 2 n'y est pas :(

 

Merci d'avance :) pour vos réponses ou vos pistes :)

Link to comment
Share on other sites

4 answers to this question

Recommended Posts

  • 0

Salut :)

 

Pour Arduino -> http://pkgs.org/ubuntu-13.10/ubuntu-universe-i386/arduino_1.0.5+dfsg2-1_all.deb.html, compatible 13.10, pas sûr qu'il fonctionne très bien sur Luna (basé sur ubuntu 12.04)

 

Pour Scratch, jette un oeil par là http://info.scratch.mit.edu/Scratch_on_Linux mais je crains que la 2.0 ne soit pas supporté par la 12.04, il va falloir attendre la nouelle version d'elemetnary OS qui sera basé sur Ubuntu 14.04.

Link to comment
Share on other sites

  • 0

Merci pour vos réponses.

 

Effectivement, KeitlG, Arduino 1.0.5 n'est pas encore dispo pour nous... Je dois me contenter de la version 1.0.1. Bon elle fonctionne quand même.

Il n'y a pas moyen de l'installer manuellement lorsque le dépôt ne propose le logiciel ? Désolé de cette question qui peut paraître bébète mais je nage dans le monde de Linux pour le moment lol.

 

Pour quand est prévu la nouvelle version d'Elementary OS ?

 

Je jette un oeill à Scratch mais comme tu dis je sens que ça va être la même chose que pour Arduino.

Link to comment
Share on other sites

  • 0

La solution que t'as filé pioupiou sur la présentation met à jour l'index des dépots de 12.04 donc qui restent encore assez vieux... Quand tu veux utiliser des logiciels plus récents soit tu utilises un .deb téléchargé sur l'intertubez comme celui que t'a filé KeitIG, soit tu essayes de trouver un dépôt additionnel contenant des compilations récentes du projet. Généralement ce sont des dépots ppa sur launchpad mais après un très bref coup d'oeil on dirait qu'il y'en a pas pour arduino. La doc du site préconise d'utiliser les debs de debian sid http://playground.arduino.cc/Linux/Ubuntu mais le mieux à mon avis c'est la compilation du paquet à la main comme expliqué dans le tout dernier paragraphe.

Link to comment
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
 Share

×
×
  • Create New...